<?php
  include("conn.php");
  $v_puntos_establ      = array();
  $v_item_puntos_establ = array();    
  $sqlFiltro = (isset($_POST['xLista']) && (trim($_POST['xLista']) != ''))?' AND TM.TIPO_MOV IN ('.$_POST['xLista'].')':'';
  $sql = "SELECT TM.DESCRI, TM.TIPO_MOV
          FROM ".$_SESSION['BaseMadre']."veTIPOMOV TM
          WHERE TIPO_MOV_CC IS NULL
         ".$sqlFiltro."
          ORDER BY TM.DESCRI ";
  $RsConceptos = $DBSegu->Execute($sql);
  if (!$RsConceptos) {
    print $DBSegu->ErrorMsg();
  }

  while (!$RsConceptos->EOF) {
    $contador = 0;		
    if ($v_puntos_establ <> '') {
      foreach ($v_puntos_establ as $name1 => $value1) { 
	    $contador++;
	    $$name1 = $value1;
      }
	}
       
    $v_item_puntos_establ['value'] = $RsConceptos->fields['TIPO_MOV'];
    $v_item_puntos_establ['text'] = utf8_encode($RsConceptos->fields['DESCRI']);
		
  	$v_puntos_establ[$contador] = $v_item_puntos_establ;

  	$RsConceptos->Movenext();			
  }
  
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($v_puntos_establ);

    //echo '[{"value":1,"text":"HAmsterdam","continent":"Europe"},{"value":4,"text":"Washington","continent":"America"},{"value":7,"text":"Sydney","continent":"Australia"},{"value":10,"text":"Beijing","continent":"Asia"},{"value":13,"text":"Cairo","continent":"Africa"}]';
 ?>